/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

.synopsis-text-button {
  height: 2.4rem;
  border: none;
  font-size: 1.4rem;
  line-height: 2.2rem;
  color: black;
  padding: 1px 3px;
  background-color: transparent;
  cursor: pointer;
  outline: none;

  &.active {
    background-color: blue;
    color: white;
  }

  &.hover {
    background-color: black;
    color: white;
  }

  & input[type='checkbox'] {
    display: none;
    cursor: pointer;

    &:checked {
      opacity: 100;
      visibility: visible;
    }
  }
}

[class^='ant-dropdown'],
[class*=' ant-dropdown'] {
  box-sizing: border-box;
}

.close-synopsis-button {
  text-decoration: none !important;

  &:hover {
    background-color: transparent !important;
  }
}
